java.lang.Object
com.sie.mbm.mom.framework.db.executeDme.vo.mbmtx.TxActionApi

public class TxActionApi extends Object
  • 字段概要

    字段
    修饰符和类型
    字段
    说明
    private String
    描述
    private String
    动作名称deduct-materials|pass-station-wait|pass-station-trackin|pass-station-trackout|pass-station-leave|create-wip-transaction|update-barcode|batch-update-wip-info|batch-update-work-order|batch-create-erp-wos|idme-commit-tx
    private String
    动作uri 各个动作对应的接口如下: deduct-materials: POST /imes/siteSfcService/openapi/v1/upload-materials/deduct pass-station-wait: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-wait pass-station-trackin: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-trackin pass-station-trackout: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-trackout pass-station-leave: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-leave create-wip-transaction: POST /imes/siteSfcService/dynamic/api/T_SFC_WIP_TRANSACTION/create update-barcode: PUT /imes/siteSfcService/v1/barcode batch-update-wip-info: POST /imes/siteSfcService/openapi/v1/wip-info/batch-update batch-update-work-order: POST /imes/sfcService/openapi/v1/wos/batch-update batch-create-erp-wos: POST /imes/sfcService/openapi/v1/erp-wos/batch-create idme-commit-tx: 此动作对应idme接口,具体内容为:POST http://{Endpoint}/rdm_{appID}_app/services/rdm/basic/api/v3/transaction-apis/transactions/{tx_id}/commit
    private Boolean
    是否启用, 默认启用
    private String
    请求方式post、put、delete
    private String
    模拟返回值
  • 构造器概要

    构造器
    构造器
    说明
     
    TxActionApi(String actionName, String actionDesc, String httpMethod, String actionUri)
     
    TxActionApi(String actionName, String actionDesc, String httpMethod, String actionUri, String result)
     
  • 方法概要

    从类继承的方法 java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • 字段详细资料

    • actionName

      private String actionName
      动作名称deduct-materials|pass-station-wait|pass-station-trackin|pass-station-trackout|pass-station-leave|create-wip-transaction|update-barcode|batch-update-wip-info|batch-update-work-order|batch-create-erp-wos|idme-commit-tx
    • actionDesc

      private String actionDesc
      描述
    • httpMethod

      private String httpMethod
      请求方式post、put、delete
    • actionUri

      private String actionUri
      动作uri 各个动作对应的接口如下: deduct-materials: POST /imes/siteSfcService/openapi/v1/upload-materials/deduct pass-station-wait: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-wait pass-station-trackin: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-trackin pass-station-trackout: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-trackout pass-station-leave: POST /imes/siteSfcService/openapi/v1/open-api/pass-station/wip-leave create-wip-transaction: POST /imes/siteSfcService/dynamic/api/T_SFC_WIP_TRANSACTION/create update-barcode: PUT /imes/siteSfcService/v1/barcode batch-update-wip-info: POST /imes/siteSfcService/openapi/v1/wip-info/batch-update batch-update-work-order: POST /imes/sfcService/openapi/v1/wos/batch-update batch-create-erp-wos: POST /imes/sfcService/openapi/v1/erp-wos/batch-create idme-commit-tx: 此动作对应idme接口,具体内容为:POST http://{Endpoint}/rdm_{appID}_app/services/rdm/basic/api/v3/transaction-apis/transactions/{tx_id}/commit
    • enable

      private Boolean enable
      是否启用, 默认启用
    • result

      private String result
      模拟返回值
  • 构造器详细资料

    • TxActionApi

      public TxActionApi()
    • TxActionApi

      public TxActionApi(String actionName, String actionDesc, String httpMethod, String actionUri)
    • TxActionApi

      public TxActionApi(String actionName, String actionDesc, String httpMethod, String actionUri, String result)